~kennylevinsen/gtkgreet#14: 
Build fails with latest Arch Linux

Build error:

FAILED: gtkgreet/gtkgreet.p/gtkgreet.c.o
cc -Igtkgreet/gtkgreet.p -Igtkgreet -I../gtkgreet-0.7/gtkgreet -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/lzo -I/usr/include/pixman-1 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gio-unix-2.0 -I/usr/include/cloudproviders -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/json-c -I/usr/include/gtk-layer-shell -flto=auto -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall -Winvalid-pch -Wextra -Werror -std=c11 -Wno-unused-parameter -Wno-missing-braces -DLAYER_SHELL -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security -fstack-clash-protection -fcf-protection -fPIE -pthread -MD -MQ gtkgreet/gtkgreet.p/gtkgreet.c.o -MF gtkgreet/gtkgreet.p/gtkgreet.c.o.d -o gtkgreet/gtkgreet.p/gtkgreet.c.o -c ../gtkgreet-0.7/gtkgreet/gtkgreet.c
../gtkgreet-0.7/gtkgreet/gtkgreet.c: In function ‘create_gtkgreet’:
../gtkgreet-0.7/gtkgreet/gtkgreet.c:94:5: error: ‘G_APPLICATION_FLAGS_NONE’ is deprecated: Use 'G_APPLICATION_DEFAULT_FLAGS' instead [-Werror=deprecated-declarations]
   94 |     gtkgreet->app = gtk_application_new("wtf.kl.gtkgreet", G_APPLICATION_FLAGS_NONE);
      |     ^~~~~~~~
In file included from /usr/include/glib-2.0/gio/giotypes.h:30,
                 from /usr/include/glib-2.0/gio/gio.h:28,
                 from /usr/include/gtk-3.0/gdk/gdkapplaunchcontext.h:28,
                 from /usr/include/gtk-3.0/gdk/gdk.h:32,
                 from /usr/include/gtk-3.0/gtk/gtk.h:30,
                 from ../gtkgreet-0.7/gtkgreet/gtkgreet.c:3:
/usr/include/glib-2.0/gio/gioenums.h:1536:3: note: declared here
 1536 |   G_APPLICATION_FLAGS_NONE GLIB_DEPRECATED_ENUMERATOR_IN_2_74_FOR(G_APPLICATION_DEFAULT_FLAGS),
      |   ^~~~~~~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors
[7/8] Compiling C object gtkgreet/gtkgreet.p/window.c.o
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...

I fixed it by adding -Wno-deprecated-declarations.

Status
RESOLVED CLOSED
Submitter
~itaranto
Assigned to
No-one
Submitted
1 year, 11 days ago
Updated
3 months ago
Labels
No labels applied.

~kennylevinsen 1 year, 9 days ago

This was fixed in 725846edf6a22f495fdbb2972bb559563a90262b some time back.

~itaranto 1 year, 9 days ago

Alright, you can close this then. Thanks.

~kennylevinsen REPORTED CLOSED 1 year, 9 days ago

~meliache 9 months ago

I recently recompiled my packages because of the release of GCC 13 as the default GCC in ArchLinux and stumbled on the same bug. Seems that I used the AUR package which follows the releases and this bugfix hasn't been made part of any release yet, so I switched to the one following the git head. Nonetheless would be nice to have this in a release eventually.

~kennylevinsen 3 months ago

Had forgotten this, just made a 0.8 release.

Register here or Log in to comment, or comment via email.